Module java.desktop
Package javax.swing.plaf.basic

# Class BasicListUI.ListSelectionHandler

java.lang.Object
javax.swing.plaf.basic.BasicListUI.ListSelectionHandler

All Implemented Interfaces:
  `EventListener`, `ListSelectionListener`

Enclosing class:
  BasicListUI

    public class BasicListUI.ListSelectionHandler
    extends Object
    implements ListSelectionListener

The ListSelectionListener that's added to the JLists selection model at installUI time, and whenever the JList.selectionModel property changes. When the selection changes we repaint the affected rows.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

See Also:
  `BasicListUI.createListSelectionListener()`, `ListUI.getCellBounds(javax.swing.JList<?>, int, int)`, `BasicListUI.installUI(javax.swing.JComponent)`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ListSelectionHandler()` |

## Method Summary

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface javax.swing.event.ListSelectionListener

`valueChanged`

## Constructor Details

### ListSelectionHandler

public ListSelectionHandler()